WordPress.org

Support

Support » Plugins and Hacks » [Plugin: Advanced Custom Fields] ACF Spits out errors in Page Editor

[Plugin: Advanced Custom Fields] ACF Spits out errors in Page Editor

  • When I activate ACF, all seems to be fine until I go to the page/post editor. Then it spits this error out at the top.

    Warning: array_multisort() [function.array-multisort]: Argument #1 is expected to be an array or a sort flag in /URL REMOVED/wp-content/plugins/advanced-custom-fields/core/api.php on line 292

    Warning: array_multisort() [function.array-multisort]: Argument #1 is expected to be an array or a sort flag in /URL REMOVED/wp-content/plugins/advanced-custom-fields/core/api.php on line 292

    http://wordpress.org/extend/plugins/advanced-custom-fields/

Viewing 3 replies - 1 through 3 (of 3 total)
  • Had the same issue. if you go to /wp-content/plugins/advanced-custom-fields/core/api.php, and find line 292…

    REPLACE:

    array_multisort($menu_order, SORT_ASC, $array);

    WITH THIS:

    if (isset($menu_order)):
    array_multisort($menu_order, SORT_ASC, $array);
    endif;

    That should stop the error.

    Thank you fragholrok !

    Plugin Author elliotcondon

    @elliotcondon

    Thanks fragholrok

    I’ve included this fix in the latest version (3.1.0)

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Plugin: Advanced Custom Fields] ACF Spits out errors in Page Editor’ is closed to new replies.